#include "hmg.ch"

// --------------------------------------------*
//  © Mustafa López  mustalopez@gmail.com
// --------------------------------------------*


*----------------------------------------------*
 FUNCTION ViewPik()   //  corregido  18-2-2024
*----------------------------------------------*
  
 Declare Window PRINCE

 DIRCHANGE( DirNc)

   IF FILE( "Counter.mem" )
      RESTORE FROM Counter.mem ADDITIVE
    ELSE
      COUN = 0
      SAVE ALL LIKE coUn* TO Counter.mem
   ENDIF
  
   cFileName := "Cartones\" + STRZERO( coUn, 4 )

*------------------------------------------------*

 IF !IsWindowDefined("Form_3")   

   DEFINE WINDOW Form_3 AT 467,15 WIDTH 1135 HEIGHT 204 MODAL BACKCOLOR { 128, 128, 255 } NOCAPTION NOSIZE

      ON KEY ESCAPE ACTION Form_3.Release

   PRIVATE QbColorx := {|| IF( ( xBINGO1->B1) == ( xBINGO1->Z1)  , { 180,200,255 },{ 183,245,205 } ) } 
   PRIVATE TbColorx := {|| IF( ( xBINGO2->B1) == ( xBINGO2->Z1)  , { 180,200,255 },{ 183,245,205 } ) } 

*  PRIVATE QfColorx := { || IF ( ordkeyno()/2 == INT(ordkeyno()/2) , { 006,120,006 },{ 000,000,255 } ) } 
   PRIVATE QfColorx := { || IF ( ordkeyno()/2 == INT(ordkeyno()/2) , { 000,000,255 },{ 000,000,255 } ) }  

      dbCloseAll()
      SELECT 1
      USE xBINGO1
      INDEX ON xBINGO1->B1 + xBINGO1->Z1 TO xBingo1
      SELECT 2
      USE xBINGO2
      INDEX ON xBINGO2->B1+ xBINGO2->Z1 TO xBingo2

      dbCloseAll()


      SELECT 1
      USE xBINGO1 INDEX xBINGO1 
      dbReindex()

      DEFINE BROWSE  xBrowse_1
             PARENT Form_2
             ROW    006
             COL    870
             WIDTH  102
             HEIGHT 193
             WIDTHS  { 049,049 }                  
             HEADERS {"Bingo","Cartón"}   
             WORKAREA xBINGO1
             FIELDS {  'xBINGO1->B1','xBINGO1->Z1' } 
             ALLOWEDIT .F.
             VSCROLLBAR .F.
             HSCROLLBAR .F.
             JUSTIFY { 1,1 }
             TOOLTIP ""
             DYNAMICBACKCOLOR { QbColorX,QbColorX }  
             DYNAMICFORECOLOR { QfColorx,QfColorX  }  
             BACKCOLOR { 180,200,255 }
             FONTCOLOR { 000,255,020 } 
      END BROWSE
 
      SELECT 2
      USE xBINGO2 INDEX xBINGO2 
      dbReindex()

      DEFINE BROWSE  xBrowse_2
             PARENT Form_2
             ROW    006
             COL    980
	     WIDTH  102
	     HEIGHT 193
	     WIDTHS  { 049,049 }                  
             HEADERS {"Bingo","Cartón"}   
             WORKAREA xBINGO2
             FIELDS {  'xBINGO2->B1','xBINGO2->Z1' } 
             ALLOWEDIT .F.
             VSCROLLBAR .F.
             HSCROLLBAR .F.
             JUSTIFY { 1,1 }
             TOOLTIP ""
             DYNAMICBACKCOLOR { TbColorX ,TbColorX }  
             DYNAMICFORECOLOR { QfColorx, QfColorX  }  
             BACKCOLOR { 180,200,255 }
             FONTCOLOR { 000,255,020 } 
      END BROWSE

      DEFINE IMAGE Image_1
         ROW 006
         COL 006
         WIDTH  860
         HEIGHT 193  
         PICTURE cFileName + ".Png"   
         STRETCH .T.
      END IMAGE

      DEFINE BUTTON Butx_01
         ROW 045			
         COL 1086 		
         WIDTH  040			
         HEIGHT 125			
         ACTION Form_3.Release 
         CAPTION "EXIT"			
         FONTNAME "Arial"
         FONTSIZE 10
         TOOLTIP "EXIT"
         FONTBOLD .T.
         FONTITALIC .F.
         PICTURE "Resource/Home.Bmp"
      END BUTTON

   END WINDOW

   // -------------------------------------------------------------------------------------------------------*
   HMG_ChangeWindowStyle( GetControlHandle( "Image_1", "Form_3" ), LVS_REPORT, NIL, .T. )
   // -------------------------------------------------------------------------------------------------------*

   HMG_ChangeWindowStyle( GetControlHandle( "xBrowse_1", "Form_3" ), LVS_REPORT, NIL, .T. )
   HMG_ChangeWindowStyle( GetControlHandle( "xBrowse_2", "Form_3" ), LVS_REPORT, NIL, .T. )


   SETWINDOWCURSOR( Form_3.Butx_01.Handle, "Resource\SmoothHand.cur" )

   Form_3.Activate

   ELSE

        DoMethod ("Form_3","Restore")
     
   ENDIF

RETURN Nil


 *-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*

