*******************************************
* PROGRAMADO EN HMG 3.0.46 EL 09/01/2024  *
* PROGRAMADO PARA BINGO DE 75 BOLAS       *
* PARA JUGAR ENTRE AMIGOS O FAMILIA       *
*******************************************

#include "HMG.CH"

//SpVoice Flags
#define  SVSFDefault            0
#define  SVSFlagsAsync          1
#define  SVSFPurgeBeforeSpeak   2
#define  SVSFIsFilename         4
#define  SVSFIsXML              8
#define  SVSFIsNotXML           16
#define  SVSFPersistXML         32


* SCREEN 1360x768

*-------------------------------------------*
FUNCTION MAIN()   //  corregido  18-2-2024
*-------------------------------------------*
   SET CODEPAGE TO UNICODE
   SET CENTURY ON
   SET DATE FRENCH
   SET DATE FORMAT TO 'dd/mm/yyyy'
   SET ESCAPE ON
   SET NAVIGATION EXTENDED
   SET LANGUAGE TO SPANISH
   SET DELETED ON
   SET BROWSESYNC ON
   SET TOOLTIPSTYLE BALLOON  
*-------------------------------------------*

*--------------------------------------------------------------------------------------------*
 PUBLIC DirNc  := HB_Curdrive() +":\"+Rtrim(Curdir() ) + "\"    && <==== Directorio Principal
 PUBLIC DirSY  := HB_Curdrive() +":\"+Rtrim(Curdir() ) + "\"+"Cartones\" 
 PUBLIC DirZY  := HB_Curdrive() +":\"+Rtrim(Curdir() ) + "\"+"CartoPDF\" 
*--------------------------------------------------------------------------------------------*

 PUBLIC oNarrator , cFileName , M4 , aAvoice := {}
 PRIVATE  MWinCol , MWinRow , COUN,  xCOUN

 oNarrator       := CreateObject( "SAPI.SpVoice" )
       
   MWinCol :=  GetDesktopWidth() 
   MWinRow :=  GetDesktopHeight() 

 DEFINE WINDOW PRINCE AT 0,0 WIDTH  MWinCol HEIGHT MWinRow  BACKCOLOR {0,125,250} NOCAPTION MAIN 

    @ 000,000 LABEL L0 ;
	      VALUE "JUGANDO BINGO EN CASA" ;
	      WIDTH 1200 HEIGHT 99 ;
	      FONT "ALGERIAN" SIZE 72 BOLD UNDERLINE  ITALIC ;  
              FONTCOLOR WHITE TRANSPARENT


*----------------------------------- Mustafa ---------------------------------------------------*
   DIRCHANGE( DirNc)

   IF FILE( "Counter.mem" )
      RESTORE FROM Counter.mem ADDITIVE
    ELSE
      COUN = 0
      SAVE ALL LIKE coUn* TO Counter.mem
   ENDIF
  
   cFileName := "Cartones\" + STRZERO( coUn, 4 )

   @ 468,057 IMAGE CARTONE PICTURE cFileName + ".Png"  WIDTH 860 HEIGHT 193 STRETCH     // <--- FONDO CARTON --> HIDE  // 482 

   @ 496,955 IMAGE CARTEL PICTURE "Resource/Bingo.jpg" WIDTH 352 HEIGHT 142 STRETCH     // <--- CARTEL BINGO ENCIMA BOTONES

   xMarcaCarton()    //---> Ver _Apoyo1.prg 

   BolasPantalla()    
   BolasEnHide()

*-----------------------------------------------------------------------------------------------*

    @ 5 ,1200 LABEL L1            ;
              VALUE ""            ;
              WIDTH 111 HEIGHT 99 ;
              FONT "ALGERIAN" SIZE 62 BOLD ;  
              FONTCOLOR GREEN BACKCOLOR {0,125,250}

    @ 690,0   LABEL L2             ;
              VALUE ""             ;
              WIDTH 710 HEIGHT 40  ;  
              FONT "ALGERIAN" SIZE 27 BOLD ;  
              FONTCOLOR BLUE BACKCOLOR {0,125,250}

    @ 693,738 LABEL L3 VALUE ""  WIDTH 34 HEIGHT 34 FONT "ARIAL" SIZE 25 BOLD FONTCOLOR BLUE  //<----  Ultimo número que salio 

    @ 666,710 IMAGE ZBola PICTURE "Resource/BolaH.jpg" WIDTH 91 HEIGHT 91 STRETCH               //<----  Bola Ultimo número que salio 
          
    @ 690,1071 SLIDER Volumen RANGE 0 , 100  ;
	                          VALUE oNarrator:Volume ; 
	                          WIDTH  235 HEIGHT 30  TOOLTIP "Volumen Speech";
	                          ON CHANGE Volume()

        @ 656,0955 IMAGE  ZCarton PICTURE "Resource/zoom.bmp" WIDTH 30 HEIGHT 30 ACTION ViewPik() TOOLTIP "Zoom Cartones" STRETCH  

	@ 655,0990 BUTTON BUTTON_0 CAPTION "CARTONES"  WIDTH 75 HEIGHT 30 ONCLICK CARTONES()  TOOLTIP 'Generar Cartones'		 
	@ 655,1071 BUTTON BUTTON_1 CAPTION "S T A R T" WIDTH 75 HEIGHT 30 ONCLICK ( Pause(), BUSCANUME() ) TOOLTIP 'Inicio'
        @ 655,1151 BUTTON BUTTON_2 CAPTION "PAUSE"     WIDTH 75 HEIGHT 30 ONCLICK Pause()    TOOLTIP 'Pausa'
	@ 655,1231 BUTTON BUTTON_3 CAPTION "E X I T"   WIDTH 75 HEIGHT 30 ONCLICK SALIR()    TOOLTIP 'Exit'
        @ 690,0955 BUTTON BUTTON_4 CAPTION "SETTING"   WIDTH 109 HEIGHT 30 ONCLICK Setting( oNarrator )	  TOOLTIP 'Setting'

        PRINCE.CARTONE.HIDE

 	ON KEY ESCAPE ACTION SALIR()

        SETWINDOWCURSOR( PRINCE.BUTTON_0.Handle, "Resource\SmoothHand.cur" )
        SETWINDOWCURSOR( PRINCE.Label_11.Handle, "Resource\SmoothHand.cur" )
        HMG_ChangeWindowStyle ( GetControlHandle("CARTEL","PRINCE"), LVS_REPORT, NIL, .T. )

   
END WINDOW

 PRINCE.ZCarton.Hide
 PRINCE.ZBola.Hide
 PRINCE.L3.Hide

 Anular_X()  // <----------- Deja la "X" en HIDE de momento  //---> Ver _Apoyo1.prg


*-------------------------------------------------------------------------------------------*

DRAW LINE IN WINDOW PRINCE AT 110+001,15 TO 110+001,1345 PENCOLOR GREEN PENWIDTH 3 
DRAW LINE IN WINDOW PRINCE AT 110+071,15 TO 110+071,1345 PENCOLOR GREEN PENWIDTH 3

DRAW LINE IN WINDOW PRINCE AT 110+141,15 TO 110+141,1345 PENCOLOR GREEN PENWIDTH 3
DRAW LINE IN WINDOW PRINCE AT 110+212,15 TO 110+212,1345 PENCOLOR GREEN PENWIDTH 3

DRAW LINE IN WINDOW PRINCE AT 110+282,15 TO 110+282,1345 PENCOLOR GREEN PENWIDTH 3
DRAW LINE IN WINDOW PRINCE AT 110+352,15 TO 110+352,1345 PENCOLOR GREEN PENWIDTH 3

*********************************************************************************************
DRAW LINE IN WINDOW PRINCE AT 110,15           TO 463,15 PENCOLOR GREEN PENWIDTH 3
DRAW LINE IN WINDOW PRINCE AT 110,00000102     TO 463,00000102 PENCOLOR GREEN PENWIDTH 2
DRAW LINE IN WINDOW PRINCE AT 110,94+92*01     TO 463,94+92*01 PENCOLOR GREEN PENWIDTH 2
DRAW LINE IN WINDOW PRINCE AT 110,94+91*02     TO 463,94+91*02 PENCOLOR GREEN PENWIDTH 2
DRAW LINE IN WINDOW PRINCE AT 110,94+91*03-1   TO 463,94+91*03-1   PENCOLOR GREEN PENWIDTH 2
DRAW LINE IN WINDOW PRINCE AT 110,94+89.5*04+1 TO 463,94+89.5*04+1 PENCOLOR GREEN PENWIDTH 2
DRAW LINE IN WINDOW PRINCE AT 110,94+91*03-1   TO 463,94+91*03-1   PENCOLOR GREEN PENWIDTH 2
DRAW LINE IN WINDOW PRINCE AT 110,94+89.5*04+1 TO 463,94+89.5*04+1 PENCOLOR GREEN PENWIDTH 2
DRAW LINE IN WINDOW PRINCE AT 110,94+89.5*05+1 TO 463,94+89.5*05+1 PENCOLOR GREEN PENWIDTH 2
DRAW LINE IN WINDOW PRINCE AT 110,94+89.5*06+1 TO 463,94+89.5*06+1 PENCOLOR GREEN PENWIDTH 2
DRAW LINE IN WINDOW PRINCE AT 110,94+89.5*07+2 TO 463,94+89.5*07+2 PENCOLOR GREEN PENWIDTH 2
DRAW LINE IN WINDOW PRINCE AT 110,94+89.5*08+2 TO 463,94+89.5*08+2 PENCOLOR GREEN PENWIDTH 2
DRAW LINE IN WINDOW PRINCE AT 110,94+89.5*09+2 TO 463,94+89.5*09+2 PENCOLOR GREEN PENWIDTH 2
DRAW LINE IN WINDOW PRINCE AT 110,94+89.5*10+2 TO 463,94+89.5*10+2 PENCOLOR GREEN PENWIDTH 2
DRAW LINE IN WINDOW PRINCE AT 110,94+89.5*11+4 TO 463,94+89.5*11+4 PENCOLOR GREEN PENWIDTH 2
DRAW LINE IN WINDOW PRINCE AT 110,94+89.5*12+6 TO 463,94+89.5*12+6 PENCOLOR GREEN PENWIDTH 2
DRAW LINE IN WINDOW PRINCE AT 110,94+89.5*13+6 TO 463,94+89.5*13+6 PENCOLOR GREEN PENWIDTH 2
DRAW LINE IN WINDOW PRINCE AT 110,1345         TO 463,1345 PENCOLOR GREEN PENWIDTH 3
*-------------------------------------------------------------------------------------------*

PRINCE.MAXIMIZE
PRINCE.ACTIVATE

RETURN


*-------------------------------------*
FUNCTION Volume()
*-------------------------------------*

oNarrator:Volume := PRINCE.Volumen.value
Speak ( "Volumen "+ str ( oNarrator:Volume ), .F. )
Return 

*-------------------------------------*
FUNCTION Speak ( cSpeak, lWait )
*-------------------------------------*

Local nFlagSpVoice
Default lWait := .T.

IF lWait
    nFlagSpVoice := SVSFDefault
ELSE
    nFlagSpVoice := SVSFlagsAsync + SVSFPurgeBeforeSpeak
ENDIF
oNarrator:Speak( cSpeak, nFlagSpVoice )
Return 

*-------------------------------------*
Function Pause ()
*-------------------------------------*

PRINCE.BUTTON_2.Caption := IF( PRINCE.BUTTON_2.Caption = "PAUSE", "Continue", "PAUSE" )
DO EVENTS
Return    

*-------------------------------------*
FUNCTION BUSCANUME()
*-------------------------------------*
PRIVATE nNum, nAleatorio, nCount, nLine := 0, nColumn := 0

Declare Window PRINCE


*------------------------------------ Mustafa --------------------------------*

   Anular_X()              // <----------- Deja la "X" en HIDE de momento  //---> Ver _Apoyo1.prg

   PRINCE.ZCarton.SHOW
   
   IF FILE( "Counter.mem" )
      RESTORE FROM Counter.mem ADDITIVE
   ELSE
      COUN = 0
      SAVE ALL LIKE coUn* TO Counter.mem
   ENDIF
 
   cFileName := "Cartones\" + STRZERO( coUn, 4 )

   PRINCE.CARTONE.PICTURE := cFileName + ".Png"

   PRINCE.CARTONE.SHOW        //<-------  Cartón Fondo 

   ActivaBotonX()            //---------> Ver _Apoyo1.prg
 
   BolasEnHide()             //<--------- Esconder Bolas
   NumerStop()               //<--------- Poner números mismo color fondo para que sean Invisibles 

*-----------------------------------------------------------------------------*

IF PRINCE.BUTTON_1.Caption = "STOP"
   PRINCE.BUTTON_1.Caption := "S T A R T"
   PRINCE.BUTTON_2.Caption := "PAUSE"
   DO EVENTS
   RETURN
ENDIF

PRINCE.BUTTON_1.Caption := "STOP"
PRINCE.BUTTON_2.Caption := "PAUSE"
PRINCE.BUTTON_2.SetFocus

DO EVENTS

nAleatorio := {}

DO WHILE Len( nAleatorio ) < 75
    DO WHILE .T.
      nNum := HB_RANDOMINT(1,75)
      IF ASCAN ( nAleatorio, nNum ) = 0
        AAdd ( nAleatorio, nNum )
        IF _IsControlDefined ( StrZero ( nNum, 2 ) , "PRINCE" )
            DoMethod ( "PRINCE", StrZero ( nNum, 2 ), "Release" )
        ENDIF
        EXIT
      ENDIF
      DO EVENTS
   ENDDO
   DO EVENTS
ENDDO

 MSGINFO ("ATENCION POR FAVOR, EMPEZARA EL JUEGO !")

   ActualizaBases()

   PRINCE.ZBola.SHOW    // <--------  Lupa Cartones Visible 
   PRINCE.L3.SHOW       // <--------  Ver Ultimo número que salio 

 FOR nCount := 1 TO Len( nAleatorio )

    DO WHILE PRINCE.BUTTON_2.Caption = "Continue"
        DO EVENTS
    ENDDO
    
    IF PRINCE.BUTTON_1.Caption = "S T A R T"
       PRINCE.L1.VALUE := ""
       PRINCE.L3.VALUE := ""
       PRINCE.CARTONE.HIDE
       EXIT
    ENDIF
  
   PINTANUME( nAleatorio [ nCount ], @nLine, @nColumn )

   AciertoBola()           // <------ Importante es la salida de Bolas

   DO EVENTS
   
   SetProperty( "PRINCE", "ZBola", "Enabled", .F.)

   PRINCE.L1.VALUE := StrZero ( nCount, 2 )
   PRINCE.L3.VALUE := ( STRZero( nAleatorio [ nCount ], 2 ) )
   PRINCE.L2.VALUE := SPACE(15) + "ULTIMO NUMERO QUE SALIO --»"   

   SELECT 1
   USE xBingo1
   LOCATE FOR Z1 == VAL( STRZero( nAleatorio [ nCount ], 2 ) )
   IF FOUND()
      REPLACE B1 WITH VAL( STRZero( nAleatorio [ nCount ], 2 ) )
   ELSE
   dbAppend()
   REPLACE B1 WITH VAL( STRZero( nAleatorio [ nCount ], 2 ) )
   ENDIF

   SELECT 2
   USE xBingo2
   LOCATE FOR Z1 == VAL( STRZero( nAleatorio [ nCount ], 2 ) )
   IF FOUND()
      REPLACE B1 WITH VAL( STRZero( nAleatorio [ nCount ], 2 ) )
   ELSE
   dbAppend()
   REPLACE B1 WITH VAL( STRZero( nAleatorio [ nCount ], 2 ) )
   ENDIF

   DBCLOSEALL() 

   Speak ( nAleatorio [ nCount ] )

   DO SESEAR				&& AGREGADO

   DO EVENTS

   *  INKEY(1.0)	 	&& TIEMPO ENTRE UN NUMERO Y OTRO (UN SEGUNDO ES LO IDEAL)
      INKEY(0.5)	 	&& TIEMPO ENTRE UN NUMERO Y OTRO (UN SEGUNDO ES LO IDEAL)
  
NEXT

PRINCE.BUTTON_2.Caption := "PAUSE"
PRINCE.BUTTON_1.Caption := "S T A R T"
PRINCE.BUTTON_1.SetFocus


DO EVENTS
RETURN


*------------------------------------------------------------------------*
FUNCTION PINTANUME( nNum, nLine, nColumn )   // <====== Courtesy of edk
*------------------------------------------------------------------------*
Local nMod 

nMod := nNum / 15 
IF nMod == Int ( nMod )
    nMod --
ENDIF
nLine := ( Int( nMod ) + 1.8 ) * 070 // --> 072  Modificado por estetica Bolas

nMod := nNum % 15
IF nMod = 0
    nMod := 15
ENDIF

nColumn := 15 + ( nMod - 1 ) * 90

M4 := nNum			      && AGREGADO

RETURN


*-------------------------------------*
FUNCTION ActualizaBases()
*-------------------------------------*

CLOSE DATABASES
DBCLOSEALL()

   IF !File("xBingo1.dbf") .OR. !File("xBingo2.dbf")
       msgStop("¡ Tiene que Renovar Cartones !","Atención")
       PRINCE.CARTONE.Hide
       CARTONES() 
   ENDIF
*-------------------------------------*

CLOSE DATABASES
DBCLOSEALL()

   SELECT 1
   USE xBingo1
  DO WHILE !EOF()
   REPLACE B1 WITH 0
   SKIP +1
  ENDDO


   SELECT 2
   USE xBingo2
   DO WHILE !EOF()
   REPLACE B1 WITH 0
   SKIP +1
  ENDDO

*-------------------------------------*

CLOSE DATABASES
DBCLOSEALL()


SELECT 1
   USE xBingo1
   DELETE FOR xBingo1->Z1 == 0
   PACK
SELECT 2
   USE xBingo2
   DELETE FOR xBingo2->Z1 == 0
   PACK


CLOSE DATABASES
DBCLOSEALL()

Return Nil

*-------------------------------------*
FUNCTION SALIR
*-------------------------------------*

ActualizaBases()

CLOSE DATABASES
DBCLOSEALL()

VOZ='EL BINGO HA TERMINADO'
oNarrator:Speak(VOZ)

PRINCE.RELEASE
QUIT

RETURN

*-------------------------------------*
FUNCTION SESEAR
*-------------------------------------*

IF M4 > 59 .AND. M4 < 80			&& PARA SESEAR

   IF M4 < 70
      VOZ1='SEIS'
    ELSE
      VOZ1='SIETE'
   ENDIF

M5 = SUBSTR( STR(M4,2,0),2,1 )

IF M5='0'
   VOZ2='CERO'
ENDIF
IF M5='1'
   VOZ2='UNO'
ENDIF
IF M5='2'
   VOZ2='DOS'
ENDIF
IF M5='3'
   VOZ2='TRES'
ENDIF
IF M5='4'
   VOZ2='CUATRO'
ENDIF
IF M5='5'
   VOZ2='CINCO'
ENDIF
IF M5='6'
   VOZ2='SEIS'
ENDIF
IF M5='7'
   VOZ2='SIETE'
ENDIF
IF M5='8'
   VOZ2='OCHO'
ENDIF
IF M5='9'
   VOZ2='NUEVE'
ENDIF

oNarrator:Speak(VOZ1 + ', ' + VOZ2)

ENDIF

RETURN


*-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._-._.-._.-._.-._.-._.-._.-*






























































































