#include "hmg.ch"

// --------------------------------------------*
//  © DaNiElMaXiMiLiAnO  Telegram @DaNiElMaXiMiLiAnO
// --------------------------------------------*
#define  SVSFlagsAsync          1

*----------------------------------------------*
FUNCTION Setting()
*----------------------------------------------*
   Declare Window PRINCE

   DEFINE WINDOW Setting ;
          AT 142 , 343 WIDTH 700 HEIGHT 220 ; 
         ICON "Logo" ;
         TITLE "Setting" ;
         MODAL NOSIZE ;           //NOSYSMENU ;
         BACKCOLOR {0,125,250};
		 ON INIT GetVoices() 
		 
    DEFINE LISTBOX Narrator
        ROW     40
        COL     20
        WIDTH  330
        HEIGHT 130
        ITEMS {}
        VALUE 0
        FONTNAME "Arial"
        FONTSIZE 9
        TOOLTIP "Double click selects a narrator"
        ONCHANGE Nil
        ONGOTFOCUS Nil
        ONLOSTFOCUS Nil
        FONTBOLD .F.
        FONTITALIC .F.
        FONTUNDERLINE .F.
        FONTSTRIKEOUT .F.
        BACKCOLOR {128,255,255}
        FONTCOLOR NIL
        ONDBLCLICK ChangeVoice()
        HELPID Nil
        TABSTOP .T.
        VISIBLE .T.
        SORT .F.
        MULTISELECT .F.
        DRAGITEMS .F.
    END LISTBOX

    DEFINE LISTBOX Device
        ROW     40
        COL    380
        WIDTH  300
        HEIGHT 65
        ITEMS {""}
        VALUE 0
        FONTNAME "Arial"
        FONTSIZE 9
        TOOLTIP "Double click selects a device"
        ONCHANGE Nil
        ONGOTFOCUS Nil
        ONLOSTFOCUS Nil
        FONTBOLD .F.
        FONTITALIC .F.
        FONTUNDERLINE .F.
        FONTSTRIKEOUT .F.
        BACKCOLOR {128,255,255}
        FONTCOLOR NIL
        ONDBLCLICK ChangeAvailavedevice()
        HELPID Nil
        TABSTOP .T.
        VISIBLE .T.
        SORT .F.
        MULTISELECT .F.
        DRAGITEMS .F.
    END LISTBOX

    DEFINE LABEL Label_1
        ROW    10
        COL    20
        WIDTH  330
        HEIGHT 30
        VALUE "Installed narrators / Select narrator"
        FONTNAME "Arial"
        FONTSIZE 18
        TOOLTIP "Double click selects a narrator"
        FONTBOLD .F.
        FONTITALIC .F.
        FONTUNDERLINE .F.
        FONTSTRIKEOUT .F.
        HELPID Nil
        VISIBLE .T.
        TRANSPARENT .T.
        ACTION Nil
        AUTOSIZE .F.
        BACKCOLOR NIL
        FONTCOLOR {255,255,255}
    END LABEL

    DEFINE LABEL Label_3
        ROW    10
        COL    380
        WIDTH  300
        HEIGHT 24
        VALUE "Available Devices / Select"
        FONTNAME "Arial"
        FONTSIZE 18
        TOOLTIP "Double click selects a device"
        FONTBOLD .F.
        FONTITALIC .F.
        FONTUNDERLINE .F.
        FONTSTRIKEOUT .F.
        HELPID Nil
        VISIBLE .T.
        TRANSPARENT .T.
        ACTION Nil
        AUTOSIZE .F.
        BACKCOLOR NIL
        FONTCOLOR {255,255,255}
    END LABEL
	
	DEFINE BUTTON Aceptar
        ROW    130
        COL    480
        WIDTH  100
        HEIGHT 28
        ACTION ThisWindow.Release
        CAPTION "Aceptar"
        FONTNAME "Arial"
        FONTSIZE 9
        TOOLTIP  "Aceptar cambios"
        FONTBOLD .F.
        FONTITALIC .F.
        FONTUNDERLINE .F.
        FONTSTRIKEOUT .F.
        ONGOTFOCUS Nil
        ONLOSTFOCUS Nil
        HELPID Nil
        FLAT .F.
        TABSTOP .T.
        VISIBLE .T.
        TRANSPARENT .F.
        MULTILINE .F.
        PICTURE Nil
        PICTALIGNMENT TOP
    END BUTTON

 END WINDOW
 
 Setting.Activate
 Return

FUNCTION GetVoices()  
Local voices       := oNarrator:GetVoices()    // The GetVoices method returns a selection of available to the voice.                      
Local Voice, nIndex , oDevice

    For nIndex = 0 To voices:Count - 1 
	        Voice         := voices:Item( nIndex )
			DoMethod ( "Setting", "Narrator", 'AddItem'  ,  Voice:GetDescription )
	ENDFOR	
	
    For Each oDevice In oNarrator:GetAudioOutputs()
	    DoMethod ( "Setting", "Device" , 'AddItem' , oDevice:GetDescription() )
    Next	
Return 

Function ChangeVoice()  //cambiar voz desde un doble click sobre la lista de narradores
Local oVoz

  For Each oVoz In oNarrator:GetVoices()                       
	 If (oVoz:GetDescription(0) == Setting.Narrator.item(Setting.Narrator.Value))
      oNarrator:voice := oVoz        
	  oNarrator:Speak( "Narrador seleccionado es " + oVoz:GetDescription(0), SVSFlagsAsync ) 
	 endif
  Next	

RETURN

Function ChangeAvailavedevice()
Local oDevice
    For Each oDevice In oNarrator:GetAudioOutputs()                       
	 If (oDevice:GetDescription(0) == Setting.Device.item(Setting.Device.Value))
      oNarrator:AudioOutput := oDevice        
	  oNarrator:Speak( "Dispositivo Salida es " + (Setting.Device.item(Setting.Device.Value)) , SVSFlagsAsync )
	 endif
    Next	
Return 