 
#include <hmg.ch>

* corregido  15-2-2024

*------------------------------------------------*
Func PrintCarto()
*------------------------------------------------*

   REQUEST HB_CODEPAGE_ESWIN     
   HB_SETCODEPAGE("ESWIN")    
 
   REQUEST HB_LANG_ES   
   HB_LANGSELECT("ES")  
*----------------------------------* 
  SET LANGUAGE TO SPANISH 
  SET CODEPAGE TO UNICODE  //SPANISH 

  DIRCHANGE( DirNc )

  DIRCHANGE( DirSY )   

  PRIVATE  cCarto , Nuevo , ficherAaX ,cNombre 

  cCarto := Getfile ( { {'Png File','*.png'} } , 'Select Png File' ,DirSY , .F. , .T. , 'Open a File')  

*------------------------------------------------------------------------*

  IF .NOT. FILE (cCarto )
      MsgInfo("No se ha elejido Png "," ATENCION !!!")
      DIRCHANGE( DirNc)
      RETURN(.F.)
  ENDIF

*------------------------------------------------------------------------*
   ficherAaX := RIGHT( cCarto , LEN(cCarto) - RAT("\", cCarto ))
*--------------------- Calcula Longitud Fichero PNG ---------------------*

   Nuevo  :=  LEFT (ficherAaX, LEN( ficherAaX ) - 4 )

  CapturePDF()
  PrintDoc()  

Return Nil


*------------------------------------------------*
FUNCTION PrintDoc()  
*------------------------------------------------*

   SELECT HPDFDOC cNombre ORIENTATION HPDF_ORIENT_LANDSCAPE PAPERSIZE HPDF_PAPER_A4     // <--- Horizontal
 * SELECT HPDFDOC cNombre ORIENTATION HPDF_ORIENT_PORTRAIT  PAPERSIZE HPDF_PAPER_A4     // <--- Vertical
*----------------------------------------  Cdigo Caracteres ANSI (Latinos) -------------------------------*
    SET HPDFDOC ENCODING TO "WinAnsiEncoding"
*   SET HPDFDOC ENCODING TO "CP1252"  
*----------------------------------------------------------------------------------------------------------*

   START HPDFDOC
              
            START HPDFPAGE
		
    
*-------------------------------------- Cuadro General ----------------------------------------*
   *  @ 005,005  HPDFPRINT RECTANGLE TO 292, 206 PENWIDTH 1 ROUNDED CURVE 1     // Opcional ?
   *  @ 007,007  HPDFPRINT RECTANGLE TO 290, 204            ROUNDED CURVE 1           // Opcional ? 
*-----------------------------------------------------------------------------------------------*

   @ 13, 110 HPDFPRINT "Cartn Nmero -- " + Nuevo + ".Png" FONT "Arial" SIZE 18 BOLD

*  @ 13, 110 HPDFPRINT "Cartn Nmero -- " + SUBSTR( cCarto, 43) FONT "Arial" SIZE 18 BOLD  //<--- Opcin sin reclculo extensin fichero PNG
 
   @ 30 ,04  HPDFPRINT IMAGE cCarto WIDTH 290 HEIGHT 73 TYPE PNG


       END HPDFPAGE  

    END HPDFDOC
    
 Execute File cNombre

DIRCHANGE(  DirNc )   


Return 

*----------------------------------------------------------------------*
 FUNCTION CapturePDF()
*----------------------------------------------------------------------*

   DIRCHANGE(  DirNc )   

   IF FILE( "Counter1.mem" )
      RESTORE FROM Counter1.mem ADDITIVE
      IF xCOUN > 9999
         xCOUN = 0
         SAVE ALL LIKE xcoUn* TO Counter1.mem    //<===== Inicia contador ==> 0001
      ENDIF
   ENDIF

   IF FILE( "Counter1.mem" )
      RESTORE FROM Counter1.mem ADDITIVE
   ELSE
      xCOUN = 0
      SAVE ALL LIKE xcoUn* TO Counter1.mem
   ENDIF

   RESTORE FROM Counter1.mem ADDITIVE

   xCOUN = xCOUN + 1
   SAVE ALL LIKE xcoUn* TO Counter1.mem

   xFile := "CartoPDF\" + STRZERO( xcoUn, 4 )

   cNombre :=  xFile + ".pdf"


   msginfo(  cNombre )


RETURN NIL

*-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._-._.-._.-._.-._.-._.-._.-*
























